org.eclipse.viatra.query.runtime.rete.recipes.impl

## Class RecipesFactoryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.EFactoryImpl
            - - org.eclipse.viatra.query.runtime.rete.recipes.impl.RecipesFactoryImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory, RecipesFactory

      public class RecipesFactoryImpl
      extends org.eclipse.emf.ecore.impl.EFactoryImpl
      implements RecipesFactory

  An implementation of the model Factory.
  Generated:

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `EDATE_FORMATS, ePackage`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.RecipesFactory

      `eINSTANCE`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecipesFactoryImpl()` Creates an instance of the factory.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `convertAggregationOperatorToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertIndexToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `org.eclipse.emf.ecore.EObject` | `create(org.eclipse.emf.ecore.EClass eClass)`
    `IMultisetAggregationOperator<?,?,?>` | `createAggregationOperatorFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `AggregatorIndexerRecipe` | `createAggregatorIndexerRecipe()`
    `AntiJoinRecipe` | `createAntiJoinRecipe()`
    `CheckRecipe` | `createCheckRecipe()`
    `ConstantRecipe` | `createConstantRecipe()`
    `CountAggregatorRecipe` | `createCountAggregatorRecipe()`
    `DiscriminatorBucketRecipe` | `createDiscriminatorBucketRecipe()`
    `DiscriminatorDispatcherRecipe` | `createDiscriminatorDispatcherRecipe()`
    `EqualityFilterRecipe` | `createEqualityFilterRecipe()`
    `EvalRecipe` | `createEvalRecipe()`
    `ExpressionDefinition` | `createExpressionDefinition()`
    `java.lang.Object` | `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `java.lang.Integer` | `createIndexFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `InequalityFilterRecipe` | `createInequalityFilterRecipe()`
    `InputFilterRecipe` | `createInputFilterRecipe()`
    `InputRecipe` | `createInputRecipe()`
    `JoinRecipe` | `createJoinRecipe()`
    `Mask` | `createMask()`
    `MonotonicityInfo` | `createMonotonicityInfo()`
    `ProductionRecipe` | `createProductionRecipe()`
    `ProjectionIndexerRecipe` | `createProjectionIndexerRecipe()`
    `RelationEvaluationRecipe` | `createRelationEvaluationRecipe()`
    `ReteRecipe` | `createReteRecipe()`
    `SemiJoinRecipe` | `createSemiJoinRecipe()`
    `SingleColumnAggregatorRecipe` | `createSingleColumnAggregatorRecipe()`
    `java.util.Map.Entry<java.lang.String,java.lang.Integer>` | `createStringIndexMapEntry()`
    `TransitiveClosureRecipe` | `createTransitiveClosureRecipe()`
    `TransparentRecipe` | `createTransparentRecipe()`
    `TrimmerRecipe` | `createTrimmerRecipe()`
    `UniquenessEnforcerRecipe` | `createUniquenessEnforcerRecipe()`
    `static RecipesPackage` | `getPackage()` Deprecated.
    `RecipesPackage` | `getRecipesPackage()`
    `static RecipesFactory` | `init()` Creates the default factory implementation.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### copyright

          public static final java.lang.String copyright

      See Also:
        Constant Field Values
      Generated:

  - ### Constructor Detail

    - #### RecipesFactoryImpl

          public RecipesFactoryImpl()

      Creates an instance of the factory.
      Generated:

  - ### Method Detail

    - #### init

          public static RecipesFactory init()

      Creates the default factory implementation.
      Generated:

    - #### create

          public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

      Specified by:
        `create` in interface `org.eclipse.emf.ecore.EFactory`
      Overrides:
        `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
      Generated:

    - #### createFromString

          public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.String initialValue)

      Specified by:
        `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
      Overrides:
        `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
      Generated:

    - #### convertToString

          public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                  java.lang.Object instanceValue)

      Specified by:
        `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
      Overrides:
        `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
      Generated:

    - #### createReteRecipe

          public ReteRecipe createReteRecipe()

      Specified by:
        `createReteRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Rete Recipe'.
      Generated:

    - #### createMonotonicityInfo

          public MonotonicityInfo createMonotonicityInfo()

      Specified by:
        `createMonotonicityInfo` in interface `RecipesFactory`
      Returns:
        a new object of class 'Monotonicity Info'.
      Generated:

    - #### createUniquenessEnforcerRecipe

          public UniquenessEnforcerRecipe createUniquenessEnforcerRecipe()

      Specified by:
        `createUniquenessEnforcerRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Uniqueness Enforcer Recipe'.
      Generated:

    - #### createProductionRecipe

          public ProductionRecipe createProductionRecipe()

      Specified by:
        `createProductionRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Production Recipe'.
      Generated:

    - #### createProjectionIndexerRecipe

          public ProjectionIndexerRecipe createProjectionIndexerRecipe()

      Specified by:
        `createProjectionIndexerRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Projection Indexer Recipe'.
      Generated:

    - #### createAggregatorIndexerRecipe

          public AggregatorIndexerRecipe createAggregatorIndexerRecipe()

      Specified by:
        `createAggregatorIndexerRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Aggregator Indexer Recipe'.
      Generated:

    - #### createMask

          public Mask createMask()

      Specified by:
        `createMask` in interface `RecipesFactory`
      Returns:
        a new object of class 'Mask'.
      Generated:

    - #### createStringIndexMapEntry

          public java.util.Map.Entry<java.lang.String,java.lang.Integer> createStringIndexMapEntry()

      Generated:

    - #### createInputRecipe

          public InputRecipe createInputRecipe()

      Specified by:
        `createInputRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Input Recipe'.
      Generated:

    - #### createConstantRecipe

          public ConstantRecipe createConstantRecipe()

      Specified by:
        `createConstantRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Constant Recipe'.
      Generated:

    - #### createTransitiveClosureRecipe

          public TransitiveClosureRecipe createTransitiveClosureRecipe()

      Specified by:
        `createTransitiveClosureRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Transitive Closure Recipe'.
      Generated:

    - #### createInequalityFilterRecipe

          public InequalityFilterRecipe createInequalityFilterRecipe()

      Specified by:
        `createInequalityFilterRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Inequality Filter Recipe'.
      Generated:

    - #### createEqualityFilterRecipe

          public EqualityFilterRecipe createEqualityFilterRecipe()

      Specified by:
        `createEqualityFilterRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Equality Filter Recipe'.
      Generated:

    - #### createTransparentRecipe

          public TransparentRecipe createTransparentRecipe()

      Specified by:
        `createTransparentRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Transparent Recipe'.
      Generated:

    - #### createTrimmerRecipe

          public TrimmerRecipe createTrimmerRecipe()

      Specified by:
        `createTrimmerRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Trimmer Recipe'.
      Generated:

    - #### createExpressionDefinition

          public ExpressionDefinition createExpressionDefinition()

      Specified by:
        `createExpressionDefinition` in interface `RecipesFactory`
      Returns:
        a new object of class 'Expression Definition'.
      Generated:

    - #### createCheckRecipe

          public CheckRecipe createCheckRecipe()

      Specified by:
        `createCheckRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Check Recipe'.
      Generated:

    - #### createEvalRecipe

          public EvalRecipe createEvalRecipe()

      Specified by:
        `createEvalRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Eval Recipe'.
      Generated:

    - #### createCountAggregatorRecipe

          public CountAggregatorRecipe createCountAggregatorRecipe()

      Specified by:
        `createCountAggregatorRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Count Aggregator Recipe'.
      Generated:

    - #### createJoinRecipe

          public JoinRecipe createJoinRecipe()

      Specified by:
        `createJoinRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Join Recipe'.
      Generated:

    - #### createSemiJoinRecipe

          public SemiJoinRecipe createSemiJoinRecipe()

      Specified by:
        `createSemiJoinRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Semi Join Recipe'.
      Generated:

    - #### createAntiJoinRecipe

          public AntiJoinRecipe createAntiJoinRecipe()

      Specified by:
        `createAntiJoinRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Anti Join Recipe'.
      Generated:

    - #### createInputFilterRecipe

          public InputFilterRecipe createInputFilterRecipe()

      Specified by:
        `createInputFilterRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Input Filter Recipe'.
      Generated:

    - #### createSingleColumnAggregatorRecipe

          public SingleColumnAggregatorRecipe createSingleColumnAggregatorRecipe()

      Specified by:
        `createSingleColumnAggregatorRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Single Column Aggregator Recipe'.
      Generated:

    - #### createDiscriminatorDispatcherRecipe

          public DiscriminatorDispatcherRecipe createDiscriminatorDispatcherRecipe()

      Specified by:
        `createDiscriminatorDispatcherRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Discriminator Dispatcher Recipe'.
      Generated:

    - #### createDiscriminatorBucketRecipe

          public DiscriminatorBucketRecipe createDiscriminatorBucketRecipe()

      Specified by:
        `createDiscriminatorBucketRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Discriminator Bucket Recipe'.
      Generated:

    - #### createRelationEvaluationRecipe

          public RelationEvaluationRecipe createRelationEvaluationRecipe()

      Specified by:
        `createRelationEvaluationRecipe` in interface `RecipesFactory`
      Returns:
        a new object of class 'Relation Evaluation Recipe'.
      Since:
        2.8
      Generated:

    - #### createIndexFromString

          public java.lang.Integer createIndexFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.String initialValue)

      Generated:

    - #### convertIndexToString

          public java.lang.String convertIndexToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.Object instanceValue)

      Generated:

    - #### createAggregationOperatorFromString

          public IMultisetAggregationOperator<?,?,?> createAggregationOperatorFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                                         java.lang.String initialValue)

      Generated:

    - #### convertAggregationOperatorToString

          public java.lang.String convertAggregationOperatorToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                     java.lang.Object instanceValue)

      Generated:

    - #### getRecipesPackage

          public RecipesPackage getRecipesPackage()

      Specified by:
        `getRecipesPackage` in interface `RecipesFactory`
      Returns:
        the package supported by this factory.
      Generated:

    - #### getPackage

          @Deprecated
          public static RecipesPackage getPackage()

      Deprecated.
      Generated: